Subject: Re: compiling coolview on W95.
From: [email-masked] (Earnie Boyd)

29 Dec 1997 07:02:24 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Check out Mumit Khan's page for a newer version of dllfix.  The problem 
with W95 is that the file cluster is not clean.  Garbage exists beyond 
the end of file.  This causes problems with binary mode opens because 
you end up with a physical end of file and not a logical end of file.  
This means that the garbage remaining in the file cluster is being read 
as part of the DLL.  This problem doesn't exist on NT.  Check out 
Sergey's page for more info.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Date: Mon, 29 Dec 1997 12:03:48 +0100 (MET)
>From: [email-masked] (Peter Boncz)
>To: [email-masked]
>
>This is a discussion between me and Bart Anderson 
([email-masked]) 
>which I would like to bring back to the mailing list. 
>
>The problem is compiling coolview on W95. Admittedly a crazy
>idea, but some people (including me) really want to do it.
>
>Problem #1 is that if you do a ./configure the following make chokes 
>on the c++ files in the winsup/ directory. This problem I could resolve 
>with a simple hack. 
>
>My fix in the Makefile for the .cc files is in the .cc.o line.
>As a quick hack, I simply replaced the compiler variable by g++
>the include variable by their actual values *minus* the -nostdinc 
>
>Then on to Problem #2, which is more serious.
>
>It then compiles fine and produces a new-cygwin.dll. The trouble starts 
>when you try to actually use it. All dependent programs that try to 
start
>fail with an error that there is no "r.dll".
>If you put a dummy r.dll in the directory, it goes on, but        
>only to complain about a missing "|.dll".
>                   
>The most probable explanation is that the created cygwin.dll has
>a 'dependency dll section' or something like it, which is 
>corrupted. It should be empty but it contains that characters 
>'r' and '|' (in my case, anyway).
>
>This may or may not have something to do with the seek trouble,
>signalled in the  [Did  _you_ ever try to compile..] thread on 
>this list, also talked about earlier, in July 1997.
>
>In the mailing list archives I myself found a dllfix.exe program
>providid by a guy called Greathouse (july 1997). 
>This program claims to fix the end part of my dll (it indeed says 
>that mine wrong and claims to fix it), but it doesn't resolve my 
problem.
>
>Moreover, I inspected the end of the dll and it seems to contain
>routine names in the library, not a 'dependency section'.
>I could speculate that not only in the end, but also in other
>sections of the dll the 'garbage on seek past eof' occurs. 
>
>If anybody knows anything, please help.
>
>I wish you a thread-safe 1998,
>
>Peter Boncz
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".